Move Zend Server install from one IBM i server to another

General discussion on Zend Server for IBM System i
Post Reply
dave7135
Posts: 20
Joined: Wed Apr 22, 2015 10:14 pm

Move Zend Server install from one IBM i server to another

Post by dave7135 » Tue Apr 26, 2016 12:13 am

We want to try duplicate our live IBM i server to a dev partition (even if it means a new install and config), and our site runs on Zend Server 5.x (<5.6) and uses Aura (Easycom) to use DB2, RPG, and CLI.

We're having trouble finding the original installation files, and not sure if we can just copy folders to make it work. Nobody's sure if the original developers used AIX CLI or what, and I'm not sure I can get AIX access, and I'm having trouble finding instructions for 5.x (<5.6) for IBM, including any AS/400 (greenscreen) instructions.

Any info you can give me? Have you ever installed Zend Server on IBM i? We were using V5 I think, but are now using V7 (everything's running fine), and I'm not sure ZS 5.x will install on V7.

erich_hieden
Posts: 393
Joined: Tue Jul 07, 2009 9:01 am

Re: Move Zend Server install from one IBM i server to anothe

Post by erich_hieden » Tue Apr 26, 2016 10:55 am

ZS 5.x installs and runs definitely on V7R1. I have documented the installation steps of ZendServer 5.0.1. If interested drop me a PM with your mailaddress and I will gladly send it to you.

User avatar
rodflohr
Zend Global Support
Posts: 56
Joined: Mon Dec 29, 2008 5:28 pm

Re: Move Zend Server install from one IBM i server to anothe

Post by rodflohr » Tue Apr 26, 2016 3:24 pm

Zend no longer distributes or supports Zend Server 5. We are not able to provide an installer for it.

If the Zend Server 5 installer is still on the old partition, it will be in the form of a save file QGPL/ZSVRSAVF. This command runs the installation:

RSTLICPGM LICPGM(2ZSVRPI) DEV(*SAVF) SAVF(QGPL/ZSVRSAVF)

It is likely you may have upgraded Zend Server one or more times. The upgrade installers are save files named in the format QGPL/Zxxxxxxx where xxxxxxx is the PTF identifier. For example, if you find this save file: QGPL/Z4ZC0006 You would install the upgrade like this:

Load the PTF by running:
- LODPTF LICPGM(2ZSVRPI) DEV(*SAVF) SAVF(QGPL/Z4ZC0006)

Apply the PTF by running:
- APYPTF LICPGM(2ZSVRPI) SELECT(4ZC0006)

When you install Zend Server, the Easycom license will likely not install. Also, there is no way to migrate the license from one partition to another. To continue running Easycom, you will need to purchase a license from Aura Equipments. You can contact Aura via their website:

http://www.easycom-aura.com

The advantages of purchasing an Easycom license include support, upgrades, and the ability to run on newer versions of Zend Server that are still supported by Zend. (Check with Aura for version compatibility).

Zend distributes an alternative to Easycom called the XML Toolkit or PHP Toolkit. This is a free, open source product that provides similar functionality to call RPG/COBOL programs and run CL commands.

As mentioned Zend Server 5 is no longer supported, updated, or available. You should consider migrating to a more current version of Zend Server. You can learn more about that process here: http://files.zend.com/help/Zend-Server- ... _ibmi5.htm

dave7135
Posts: 20
Joined: Wed Apr 22, 2015 10:14 pm

Re: Move Zend Server install from one IBM i server to anothe

Post by dave7135 » Wed May 11, 2016 6:02 pm

erich_hieden wrote:ZS 5.x installs and runs definitely on V7R1. I have documented the installation steps of ZendServer 5.0.1. If interested drop me a PM with your mailaddress and I will gladly send it to you.
Can you attach your instructions in a reply? There's an "Upload attachment" tab under the message box.

dave7135
Posts: 20
Joined: Wed Apr 22, 2015 10:14 pm

Re: Move Zend Server install from one IBM i server to anothe

Post by dave7135 » Wed May 11, 2016 6:12 pm

rodflohr wrote:Zend no longer distributes or supports Zend Server 5. We are not able to provide an installer for it.
I know Zend no longer supports Server 5; that's why I'm here. I can't find exact instructions for Zend Server 5.0.4, and our screens are looking different than any instructions I can find (which are either generic/unspecified version or for 5.x, and 5.6 isn't compatible with our live install, which we're trying to duplicate on dev, and it's too much work to try to upgrade).
If the Zend Server 5 installer is still on the old partition, it will be in the form of a save file QGPL/ZSVRSAVF. This command runs the installation:

RSTLICPGM LICPGM(2ZSVRPI) DEV(*SAVF) SAVF(QGPL/ZSVRSAVF)
Thanks; I think our IBM admin (who isn't a webserver admin) did this or something like it to get Zend Server 5.0.4 installed on our dev server, which we already had the install files for (and which I later discovered had already been installed years ago).
It is likely you may have upgraded Zend Server one or more times. The upgrade installers are save files named in the format QGPL/Zxxxxxxx where xxxxxxx is the PTF identifier. For example, if you find this save file: QGPL/Z4ZC0006 You would install the upgrade like this:

Load the PTF by running:
- LODPTF LICPGM(2ZSVRPI) DEV(*SAVF) SAVF(QGPL/Z4ZC0006)

Apply the PTF by running:
- APYPTF LICPGM(2ZSVRPI) SELECT(4ZC0006)
Thanks; they did install a previous version of Zend Server (I think 5.0.1) and did upgrade to 5.0.4, but were unable to upgrade to 5.6 for various complications (partly due to the existing website code and due to Zend changing Easycom/Aura stuff).
When you install Zend Server, the Easycom license will likely not install. Also, there is no way to migrate the license from one partition to another. To continue running Easycom, you will need to purchase a license from Aura Equipments. You can contact Aura via their website:

http://www.easycom-aura.com

The advantages of purchasing an Easycom license include support, upgrades, and the ability to run on newer versions of Zend Server that are still supported by Zend. (Check with Aura for version compatibility).

Zend distributes an alternative to Easycom called the XML Toolkit or PHP Toolkit. This is a free, open source product that provides similar functionality to call RPG/COBOL programs and run CL commands.
Thanks; I did read up on Easycom (though their site is in French), and I think we do have the license stuff to use for dev, but I haven't gotten that far yet. I'm just trying to get Zend Server 5.0.4 running on dev, and IBM HTTPAdmin is saying that only ApacheDFT is running (it says Zend Server is stopped), but AS/400 ZSMENU says Zend Server is already running when I try to Start it... totally confused, not sure the best approach to this, which is why I want the exact 5.0.4 instructions. I don't care if Zend doesn't support the product, I came here to see if anyone had the instructions.
As mentioned Zend Server 5 is no longer supported, updated, or available. You should consider migrating to a more current version of Zend Server. You can learn more about that process here: http://files.zend.com/help/Zend-Server- ... _ibmi5.htm
Thanks for the suggestions, but we can't update Zend Server due to the website and other code , and we're not going to update the website code because it's so old, clunky, and large, and we're trying to deprecate it anyways (for a new product that's on newer Zend Server on another OS), but we're still relying on it and just need a testing server set up.

If you have the instructions for Zend Server 5.0.4 on IBM (or the nearest thing before 5.6), please attach them to your reply.

Post Reply